Skip to main content
POST
Import skills from uploaded files

Authorizations

Authorization
string
header
required

Your DUST API key is a Bearer token.

Path Parameters

wId
string
required

Unique string identifier for the workspace

Body

multipart/form-data
files
file[]
required

Skill files or ZIP archives to import. Skill names must be at most 256 characters.

names
string[]

Optional skill names to import from the uploaded files.

onConflict
enum<string>

Strategy applied when a skill with the same name already exists in the workspace. error rejects the whole import, skip skips the skill and reports it in skipped, override updates the existing skill. Defaults to error.

Available options:
error,
skip,
override
editors
string<email>[]

Optional editor email addresses to add to imported or updated skills. Editors must be active workspace members. Existing skills keep their current editors.

availability
enum<string>

Optional availability to apply to imported or updated skills. editors is unpublished, workspace_users is published, and users_and_agents is discoverable. New skills default to editors and existing skills keep their current availability when omitted.

Available options:
editors,
workspace_users,
users_and_agents

Response

Skills import result.

imported
object[]
updated
object[]
skipped
object[]